## python-mock 1.3.0

=== requirements.txt ===
funcsigs;python_version<"3.3"
# For runtime needs this is correct. For setup_requires needs, 1.2.0 is needed
# but setuptools can't cope with conflicts in setup_requires, so thats
# unversioned.
pbr>=0.11
six>=1.7

## python-mock 0.7.2

=== debian/changelog ===
python-mock (0.7.2-1) unstable; urgency=low

  * New upstream release. (Closes: #617799)
  * Set PMPT as maintainer and myself as uploader.
  * Switch to source format 3.0 (quilt).
  * Switch to dh_python2.
  * Use pypi.python.org in d/watch.
  * Use DEP5 for copyright file.
  * Streamline packaging code with wrap-and-sort.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Move HTML documentation to u/s/d/python-mock/html/.
  * Use dh_link to create the documentation source symlinks.
  * Set X-P-V to >= 2.4.
  * Build for Python3.
  * Use dh_sphinxdoc.
  * Ship documentation in separate package.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Tue, 23 Aug 2011 13:13:44 +0200

python-mock (0.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "doesn't depend on python" by applying patch to debian/control
    by Jakub Wilk (Closes: #588586)

 -- Marek Kubica <marek@xivilization.net>  Sat, 17 Jul 2010 12:27:08 +0200

python-mock (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #540372)

 -- David Watson <david@kutoken.com>  Fri, 21 Aug 2009 14:22:49 +0100

=== debian/control ===
Source: python-mock
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: David Watson <david@kutoken.com>,
           Fladischer Michael <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 8),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all (>= 3.1.2-12~),
               python3-setuptools
Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0
Homepage: http://www.voidspace.org.uk/python/mock/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-mock/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-mock/trunk/

Package: python-mock
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-mock-doc
Description: Mocking and Testing Library
 mock provides a core mock.Mock class that is intended to reduce the
 need to create a host of trivial stubs throughout your test suite.
 After performing an action, you can make assertions about which methods
 / attributes were used and arguments they were called with. You can
 also specify return values and set specific attributes in the normal
 way.

Package: python3-mock
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-mock-doc
Description: Mocking and Testing Library (Python3 version)
 mock provides a core mock.Mock class that is intended to reduce the
 need to create a host of trivial stubs throughout your test suite.
 After performing an action, you can make assertions about which methods
 / attributes were used and arguments they were called with. You can
 also specify return values and set specific attributes in the normal
 way.
 .
 This package contains the Python 3 version of the library.

Package: python-mock-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Mocking and Testing Library (Documentation)
 mock provides a core mock.Mock class that is intended to reduce the
 need to create a host of trivial stubs throughout your test suite.
 After performing an action, you can make assertions about which methods
 / attributes were used and arguments they were called with. You can
 also specify return values and set specific attributes in the normal
 way.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS :=  $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3,sphinxdoc
	
.PHONY: override_dh_auto_build
override_dh_auto_build:
	set -e; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py -B setup.py build; \
	done
	PYTHONPATH=. sphinx-build -b html -N docs/ docs/.build/html

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	set -e; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py -B setup.py clean; \
		rm -rf build; \
	done

.PHONY: override_dh_auto_install
override_dh_auto_install:
	set -e; \
	for py in $(PYVERS); do \
		$$py -B setup.py install --skip-build --root debian/python-mock \
		                      --install-layout deb; \
	done
	set -e; \
	for py in $(PY3VERS); do \
		$$py -B setup.py install --skip-build --root debian/python3-mock \
		                      --install-layout deb; \
	done

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.js -X.html -X.txt

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf docs/.build
	dh_clean

## python-mock 0.8.0

=== debian/changelog ===
python-mock (0.8.0-3) unstable; urgency=low

  * Team upload.
  * debian/control: python-mock-doc needs to Break/Replace
    python-mock (<< 0.7.2) to ensure clean upgrades from squeeze
    to wheezy. Thanks to Andreas Beckmann (Closes: #694296).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 30 Nov 2012 17:02:02 -0500

python-mock (0.8.0-2) unstable; urgency=low

  * Add mock.egg-info/PKG-INFO to d/clean to allow two builds in a row
    (Closes: #671252).
  * Run tests during build (Closes: #667554).
    - Add patch for python3 unittests.
    - B-D on python-unittest2 for python2.x.
    - Add override for dh_auto_test.
  * Exclude SOURCES.txt and add temporary fix for Metadata-Version in
    PKG-INFO.
  * Change order of my name.
  * Update years in d/copyright.
  * Use DEP5 1.0 format URL.
  * Drop d/s/local-options from SVN.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 04 Jun 2012 20:34:13 +0200

python-mock (0.8.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Apr 2012 23:08:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: David Watson <david@kutoken.com>,
-           Fladischer Michael <FladischerMichael@fladi.at>
+           Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 8),
                python-all (>= 2.6.6-3~),
                python-setuptools,
+               python-unittest2,
                python3-all (>= 3.1.2-12~),
                python3-setuptools
 Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Homepage: http://www.voidspace.org.uk/python/mock/
@@ -47,6 +48,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Breaks: python-mock (<< 0.7.2)
+Replaces: python-mock (<< 0.7.2)
 Description: Mocking and Testing Library (Documentation)
  mock provides a core mock.Mock class that is intended to reduce the
  need to create a host of trivial stubs throughout your test suite.

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,8 @@
 		$$py -B setup.py install --skip-build --root debian/python3-mock \
 		                      --install-layout deb; \
 	done
+	rm debian/python*-mock/usr/lib/python*/*-packages/mock*.egg-info/SOURCES.txt
+	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-mock/usr/lib/python2.*/*-packages/mock*.egg-info/PKG-INFO
 
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
@@ -48,6 +50,15 @@
 
 .PHONY: override_dh_clean
 override_dh_clean:
-	rm -rf docs/.build
+	rm -rf docs/.build tests/__pycache__ __pycache__
 	dh_clean
 
+.PHONY: override_dh_auto_test
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	set -e; \
+	for py in $(PYVERS) $(PY3VERS); do \
+		$$py setup.py test ; \
+	done
+endif
+

## python-mock 1.0.1

=== debian/changelog ===
python-mock (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * d/patches/python3.4_compat.patch: Fix FTBFS with Python 3.4.
    (Closes: #739890) (LP: #1283742)
  * d/control: Bump Standards-Version with no other changes necessary.

 -- Barry Warsaw <barry@debian.org>  Wed, 26 Feb 2014 15:39:36 -0500

python-mock (1.0.1-2) unstable; urgency=low

  [ Michael Fladischer ]
  * Upload to unstable.
  * Remove temporary fix for PKG-INFO.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 08 May 2013 07:45:16 +0200

python-mock (1.0.1-1) experimental; urgency=low

  [ Michael Fladischer]
  * New upstream release.
  * Fix upstream name, contact and year in d/copyright.

  [ Thomas Goirand ]
  * Uploading to experimental.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Feb 2013 21:43:58 +0800

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                python3-all (>= 3.1.2-12~),
                python3-setuptools
 Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Homepage: http://www.voidspace.org.uk/python/mock/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-mock/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-mock/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-mock/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-mock/trunk/
 
 Package: python-mock
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,6 @@
 		                      --install-layout deb; \
 	done
 	rm debian/python*-mock/usr/lib/python*/*-packages/mock*.egg-info/SOURCES.txt
-	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-mock/usr/lib/python2.*/*-packages/mock*.egg-info/PKG-INFO
 
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/m/mock/mock-([\d\.]+)\.tar\.gz

## python-mock 1.3.0

=== debian/changelog ===
python-mock (1.3.0-2.1ubuntu1) wily; urgency=medium

  * d/rules: Drop use of -S flag with dpkg-parsechangelog to ease backporting
    to Ubuntu 14.04.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Sep 2015 09:23:13 +0100

python-mock (1.3.0-2.1build1) wily; urgency=medium

  * No change rebuild for new dh-python.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 27 Aug 2015 14:58:08 -0400

python-mock (1.3.0-2.1) unstable; urgency=medium

  * Team upload.
  * Add patch to requirements.txt to avoid funky results not supported by
    pkg_resources in the generated egg-info (Closes: #794461).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Aug 2015 07:55:30 +0000

python-mock (1.3.0-2) unstable; urgency=medium

  * Lower Build-Depends on python-pbr to (>= 0.11) to allow it to build
    in unstable (Closes: #793945).
  * Add pbr.patch to sync pbr version between requirements.txt and
    setup.py.
  * Add python-funcsigs to Depends (Closes: #794013).
  * Build-Depend on unittest2 (>= 1.1.0) so we can drop six.patch.
  * Remove six.patch now that there is a sufficiently new unittest2
    available.

 -- Michael Fladischer <fladi@debian.org>  Fri, 31 Jul 2015 12:17:26 +0200

python-mock (1.3.0-1) unstable; urgency=medium

  [ Jean-Michel Nirgal Vourgère ]
  * Remove David Watson from Uploaders. (Closes: #771614)

  [ Michael Fladischer ]
  * New upstream release.
  * Add six.patch to provide python2 and 3 compatibility for tests.
  * Add python-six and python3-six to Build-Depends.
  * Add OSLO_PACKAGE_VERSION in d/rules to allow pbr to run the tests.
  * Add lintian override for missing PGP signature on upstream tarballs.
  * Add dversionmangle and repacksuffix options for DFSG-repack to
    d/watch.
  * Bump Standards-Version to 3.9.6.
  * Drop unnecessary versioned dependencies on python-all and python3-
    all.
  * Update years in d/copyright.
  * Change my email address to fladi@debian.org.
  * Use pypi.debian.net service for uscan.
  * Switch buildsystem to pybuild.
  * Remove PHONY target declarations from d/rules.
  * Remove html directory from Files-Excluded as upstream no longer
    ships it in their tarball.
  * Remove python3.2_tests.patch and python3.4_compat.patch as they are
    no longer needed.
  * Rename BSD-mock license to BSD-3-clause.
  * Add python(3)-pbr and python-setuptools (>= 17.1) to Build-Depends.
  * Reformat packaging files with cme for better readability.

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Jul 2015 17:31:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,36 @@
 Source: python-mock
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Section: python
 Priority: extra
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: David Watson <david@kutoken.com>,
-           Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 8),
-               python-all (>= 2.6.6-3~),
-               python-setuptools,
-               python-unittest2,
-               python3-all (>= 3.1.2-12~),
-               python3-setuptools
-Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.5
+               dh-python,
+               python-all,
+               python-funcsigs,
+               python-pbr (>= 0.11),
+               python-setuptools (>= 17.1),
+               python-six,
+               python-unittest2 (>= 1.1.0),
+               python3-all,
+               python3-pbr (>= 0.11),
+               python3-setuptools,
+               python3-six,
+               python3-unittest2
+Build-Depends-Indep: libjs-jquery,
+                     python-sphinx (>= 1.0.7+dfsg-1~)
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-mock/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-mock/trunk/
+Homepage: http://www.voidspace.org.uk/python/mock/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-Homepage: http://www.voidspace.org.uk/python/mock/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-mock/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-mock/trunk/
 
 Package: python-mock
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-funcsigs,
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: python-mock-doc
 Description: Mocking and Testing Library
  mock provides a core mock.Mock class that is intended to reduce the
@@ -32,7 +42,8 @@
 
 Package: python3-mock
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-mock-doc
 Description: Mocking and Testing Library (Python3 version)
  mock provides a core mock.Mock class that is intended to reduce the
@@ -45,9 +56,10 @@
  This package contains the Python 3 version of the library.
 
 Package: python-mock-doc
+Architecture: all
 Section: doc
-Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Breaks: python-mock (<< 0.7.2)
 Replaces: python-mock (<< 0.7.2)
 Description: Mocking and Testing Library (Documentation)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
export PYBUILD_NAME=mock

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -N docs/ docs/.build/html

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.txt

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
http://pypi.debian.net/mock/mock-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mock 2.0.0

=== debian/changelog ===
python-mock (2.0.0-4) unstable; urgency=medium

  * Bumped debhelper version to 11
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Bump standards version to 4.2.1 (no changes)
  * d/rules: Don't set OSLO_PACKAGE_VERSION, pybuild sets PBR_VERSION
    automatically
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 20:36:39 +0200

python-mock (2.0.0-3) unstable; urgency=medium

  * Team upload (with agreement from Ondřej Nový).
  * Uploading to unstable.
  * Removed useless X-Python-Version: >= 2.6 and X-Python3-Version: >= 3.3.
  * Moved some build-depends into build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 07:34:00 +0000

python-mock (2.0.0-2) experimental; urgency=medium

  * Require newer version of python-funcsigs (Closes: #829631)
  * Use Python 3 version of Sphinx
  * Added myself as uploader
  * wrap-and-sort -t -a
  * d/copyright: Added myself to Debian part
  * d/watch: Use https protocol
  * Changed homepage to new one

 -- Ondřej Nový <onovy@debian.org>  Wed, 06 Jul 2016 09:45:39 +0200

python-mock (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * New upstream release
  * Fixed B-D and D for new release
  * Removed pbr.patch and return-to-a-standard-requirements-def.patch
    (not needed anymore)
  * Fixed VCS URL (https)
  * Check signature of upstream tarball, added Robert Collins crt
  * Bump X-Python{3,}-Version
  * Removed override_dh_installchangelogs (not needed)
  * Enabled autopkgtest-pkg-python testsuite

  [ Thomas Goirand ]
  * debian/control:
    - Standards-Version is now 3.9.8 (no change).
    - Removed Breaks+Replaces that were addressing issues prior oldoldstable.
  * debian/rules:
    - using dpkg-parsechangelog -SVersion and not -S Version, as Trusty
      wouldn't accept the space.
    - Correctly build doc in the override_dh_sphinxdoc and not in auto_build.
  * Using debian/source/options to ignore egg-info changes instead of
    cleaning the files.
  * Bump debhelper to 9 instead of 8.
  * Added patch to disable failing test.

 -- Ondřej Nový <novy@ondrej.org>  Tue, 07 Jun 2016 16:18:13 +0200

=== debian/control ===
Source: python-mock
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python-all,
               python-pbr (>= 1.3),
               python-setuptools (>= 17.1),
               python3-all,
               python3-pbr (>= 1.3),
               python3-setuptools (>= 17.1),
               python3-sphinx,
Build-Depends-Indep: python-funcsigs (>= 1),
                     python-six (>= 1.9),
                     python-unittest2 (>= 1.1.0),
                     python3-six (>= 1.9),
                     python3-unittest2,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mock
Vcs-Git: https://salsa.debian.org/python-team/modules/python-mock.git
Homepage: https://github.com/testing-cabal/mock
Testsuite: autopkgtest-pkg-python

Package: python-mock
Architecture: all
Depends: python-funcsigs (>= 1),
         python-pbr (>= 1.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-mock-doc,
Description: Mocking and Testing Library
 mock provides a core mock.Mock class that is intended to reduce the
 need to create a host of trivial stubs throughout your test suite.
 After performing an action, you can make assertions about which methods
 / attributes were used and arguments they were called with. You can
 also specify return values and set specific attributes in the normal
 way.

Package: python3-mock
Architecture: all
Depends: python3-pbr (>= 1.3),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-mock-doc,
Description: Mocking and Testing Library (Python3 version)
 mock provides a core mock.Mock class that is intended to reduce the
 need to create a host of trivial stubs throughout your test suite.
 After performing an action, you can make assertions about which methods
 / attributes were used and arguments they were called with. You can
 also specify return values and set specific attributes in the normal
 way.
 .
 This package contains the Python 3 version of the library.

Package: python-mock-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Mocking and Testing Library (Documentation)
 mock provides a core mock.Mock class that is intended to reduce the
 need to create a host of trivial stubs throughout your test suite.
 After performing an action, you can make assertions about which methods
 / attributes were used and arguments they were called with. You can
 also specify return values and set specific attributes in the normal
 way.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=mock

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ debian/python-mock-doc/usr/share/doc/python-mock-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,\
pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/mock/mock-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mock 3.0.5

=== debian/changelog ===
python-mock (3.0.5-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:43:23 +0000

python-mock (3.0.5-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * d/copyright: Bump my copyright year
  * d/watch: Use GitHub, because PyPi release doesn't contain tests
  * d/upstream/signing-key.asc: Drop, upstream releases are not signed anymore
  * Fix privacy breach in docs

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 19:31:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python-all,
                python-pbr (>= 1.3),
@@ -18,7 +18,7 @@
                      python-unittest2 (>= 1.1.0),
                      python3-six (>= 1.9),
                      python3-unittest2,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mock
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-mock.git
 Homepage: https://github.com/testing-cabal/mock

## python-mock 4.0.2

=== debian/changelog ===
python-mock (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Drop python3-six from B-D-I.
  * Bump debhelper compat level to 13.
  * Set Rules-Requires-Root: no.
  * Bump standards version to 4.5.0.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 13:36:59 +0200

python-mock (3.0.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937926

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 09:44:42 -0400

=== debian/control ===
--- 
+++ 
@@ -4,40 +4,19 @@
            Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python-all,
-               python-pbr (>= 1.3),
-               python-setuptools (>= 17.1),
                python3-all,
                python3-pbr (>= 1.3),
                python3-setuptools (>= 17.1),
                python3-sphinx,
-Build-Depends-Indep: python-funcsigs (>= 1),
-                     python-six (>= 1.9),
-                     python-unittest2 (>= 1.1.0),
-                     python3-six (>= 1.9),
-                     python3-unittest2,
-Standards-Version: 4.4.0
+Build-Depends-Indep: python3-unittest2,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mock
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-mock.git
 Homepage: https://github.com/testing-cabal/mock
 Testsuite: autopkgtest-pkg-python
-
-Package: python-mock
-Architecture: all
-Depends: python-funcsigs (>= 1),
-         python-pbr (>= 1.3),
-         ${misc:Depends},
-         ${python:Depends},
-Suggests: python-mock-doc,
-Description: Mocking and Testing Library
- mock provides a core mock.Mock class that is intended to reduce the
- need to create a host of trivial stubs throughout your test suite.
- After performing an action, you can make assertions about which methods
- / attributes were used and arguments they were called with. You can
- also specify return values and set specific attributes in the normal
- way.
+Rules-Requires-Root: no
 
 Package: python3-mock
 Architecture: all

## python-mock 4.0.3

=== debian/changelog ===
python-mock (4.0.3-1) unstable; urgency=low

  [ Ondřej Nový ]
  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Bump standards version to 4.5.1.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-mock-doc: Add Multi-Arch: foreign.

 -- Ondřej Nový <onovy@debian.org>  Sat, 02 Jan 2021 15:25:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-mock
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Section: python
@@ -11,9 +11,9 @@
                python3-setuptools (>= 17.1),
                python3-sphinx,
 Build-Depends-Indep: python3-unittest2,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mock
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-mock.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mock
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-mock.git
 Homepage: https://github.com/testing-cabal/mock
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
@@ -39,6 +39,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Mocking and Testing Library (Documentation)
  mock provides a core mock.Mock class that is intended to reduce the
  need to create a host of trivial stubs throughout your test suite.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=mock
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mock-$1\.tar\.gz/ \
  https://github.com/testing-cabal/mock/releases .*/v?(\d\S+)\.tar\.gz

## python-mock 5.1.0

=== debian/changelog ===
python-mock (5.1.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 5.1.0 (Closes: #717192, #717193, #1030887)
    (LP: #1248066)
  * remove obsolete build-dep python3-pbr & python3-unittest2
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 07 Jan 2024 19:07:23 +0100

python-mock (4.0.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-pbr and
      python3-setuptools.
    + python3-mock: Drop versioned constraint on python3-pbr in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:14:46 +0100

python-mock (4.0.3-3) unstable; urgency=medium

  * Depend on python3-all for autopkgtests.
  * Add upstream patch to fix tests that should test mock but were
    testing unittest.mock (Closes: #1001422, #1002345).
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Thu, 13 Jan 2022 15:21:45 +0000

python-mock (4.0.3-2) unstable; urgency=low

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Michael Fladischer ]
  * Update d/watch to work with github again.
  * Add patch to install unitests.
  * Add python-pytest to Build-Depends.
  * Bump Standards-Version to 4.6.0.1.
  * Refresh patches.
  * Run upstream tests during build.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Oct 2021 21:25:57 +0000

=== debian/control ===
Source: python-mock
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Ondřej Nový <onovy@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mock
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mock.git
Homepage: https://github.com/testing-cabal/mock
Rules-Requires-Root: no

Package: python3-mock
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python-mock-doc
Description: Mocking and Testing Library (Python3 version)
 mock provides a core mock.Mock class that is intended to reduce the
 need to create a host of trivial stubs throughout your test suite.
 After performing an action, you can make assertions about which methods
 / attributes were used and arguments they were called with. You can
 also specify return values and set specific attributes in the normal
 way.
 .
 This package contains the Python 3 version of the library.

Package: python-mock-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Mocking and Testing Library (Documentation)
 mock provides a core mock.Mock class that is intended to reduce the
 need to create a host of trivial stubs throughout your test suite.
 After performing an action, you can make assertions about which methods
 / attributes were used and arguments they were called with. You can
 also specify return values and set specific attributes in the normal
 way.
 .
 This package contains the documentation.

## python-mock 5.2.0

=== debian/changelog ===
python-mock (5.2.0-2) unstable; urgency=medium

  * Add myself as Uploader
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version: to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml
  * Trim autopkgtest dependencies

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Jan 2026 19:33:53 +0100

python-mock (5.2.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 5.2.0

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 28 Mar 2025 18:11:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,27 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
- Ondřej Nový <onovy@debian.org>
+ Alexandre Detiste <tchet@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
  python3-pytest,
  python3-setuptools,
- python3-sphinx
-Standards-Version: 4.6.0.1
+ python3-sphinx,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mock
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mock.git
 Homepage: https://github.com/testing-cabal/mock
-Rules-Requires-Root: no
 
 Package: python3-mock
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
 Suggests:
- python-mock-doc
+ python-mock-doc,
 Description: Mocking and Testing Library (Python3 version)
  mock provides a core mock.Mock class that is intended to reduce the
  need to create a host of trivial stubs throughout your test suite.
@@ -40,7 +38,7 @@
 Section: doc
 Depends:
  ${misc:Depends},
- ${sphinxdoc:Depends}
+ ${sphinxdoc:Depends},
 Multi-Arch: foreign
 Description: Mocking and Testing Library (Documentation)
  mock provides a core mock.Mock class that is intended to reduce the

=== debian/tests/control ===
Tests:
 upstream,
Depends:
 python3-all,
 python3-pkg-resources,
 python3-pytest,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: testing-cabal
Project: mock
